"use client";
import { useEffect } from "react";
import Header from "@components/base/header";
import { useAppContext } from "app/theme-context";
import { useRouter } from "next/navigation";

export default function PageHeader({ searchParams }) {
  const { theme, toggleTheme, handleSearchInput, text, isDisabled } =
    useAppContext();
  const router = useRouter();

  const currentPage = 1; // Assuming currentPage is constant for now
  const search = searchParams.search;

  useEffect(() => {
    if (search) handleSearchInput(search, currentPage);
  }, [search]);

  const handleSearch = (value) => {
    handleSearchInput(value, currentPage);
  };

  const handleClear = () => {
    router.push(`/?page=${currentPage}`, undefined, { shallow: true });
  };

  return (
    <Header
      name="NewsBlog"
      currentTheme={theme}
      onThemeChange={toggleTheme}
      onSearch={handleSearch}
      onClear={handleClear}
      value={text}
      isDisabled={isDisabled}
    />
  );
}
